done
}
+#-----------------------------------------------------------
+exit_bad_transfer()
+{
+ if interactive ; then
+ hide_cursor
+ dialog --colors --ok-label "Continue" --msgbox \
+" \ZbERROR: Download from repository failed\ZB
+
+ Please correct the repository address." 0 0
+
+ fi
+ exit ${BadTransfer}
+}
+
#-----------------------------------------------------------
if ! empty_download_dir ; then
echo "Could not empty download directory ${INSTALL_DOWNLOAD_DIR} : aborting.">&2
exit ${Abort}
fi
+#-----------------------------------------------------------
+
case ${NETWORK_PROTOCOL} in
http|ftp)
- do_wget_transfer "${NETWORK_REPO}" || exit ${BadTransfer}
+ do_wget_transfer "${NETWORK_REPO}" || exit_bad_transfer
;;
nfs)
- do_nfs_transfer "${NETWORK_REPO}" || exit ${BadTransfer}
+ do_nfs_transfer "${NETWORK_REPO}" || exit_bad_transfer
;;
*)
echo "Unknown network protocol: ${NETWORK_PROTOCOL} : aborting.">&2
mixedgauge "Download complete." "100"
-# FIXME: when checking to see if download was successful:
-# if not: if interactive, return ${Previous}, else return ${Abort}
-
link_install_to_downloads
exit ${Continue}